<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21679"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="DMSans-Medium.ttf">
            <string>DMSans-Medium</string>
        </array>
        <array key="DMSans-Regular.ttf">
            <string>DMSans-Regular</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <tableViewCell contentMode="scaleToFill" selectionStyle="none" indentationWidth="10" reuseIdentifier="BlockedUsersTableCell" rowHeight="72" id="fQU-9D-7UE" customClass="BlockedUsersTableCell" customModule="WoWonder" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="367" height="73"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" tableViewCell="fQU-9D-7UE" id="QrT-yB-2xa">
                <rect key="frame" x="0.0" y="0.0" width="367" height="73"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <imageView userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_profileimage" translatesAutoresizingMaskIntoConstraints="NO" id="OAz-vY-HDi">
                        <rect key="frame" x="12" y="12" width="48" height="48"/>
                        <constraints>
                            <constraint firstAttribute="height" constant="48" id="Lj7-LI-QT8"/>
                            <constraint firstAttribute="width" secondItem="OAz-vY-HDi" secondAttribute="height" multiplier="1:1" id="fg6-Zb-IGW"/>
                        </constraints>
                        <userDefinedRuntimeAttributes>
                            <userDefinedRuntimeAttribute type="boolean" keyPath="iscircleCorner" value="YES"/>
                        </userDefinedRuntimeAttributes>
                    </imageView>
                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="jun-AX-eUz">
                        <rect key="frame" x="72" y="16" width="183" height="40"/>
                        <subviews>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Username" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="h1p-ID-Wdw">
                                <rect key="frame" x="0.0" y="0.0" width="183" height="24"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="24" id="2Py-Db-KDe"/>
                                </constraints>
                                <fontDescription key="fontDescription" name="DMSans-Medium" family="DM Sans" pointSize="16"/>
                                <color key="textColor" name="text_color"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Last Seen" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="thU-xE-h78">
                                <rect key="frame" x="0.0" y="24" width="183" height="16"/>
                                <fontDescription key="fontDescription" name="DMSans-Regular" family="DM Sans" pointSize="12"/>
                                <color key="textColor" name="text_color_secondary"/>
                                <nil key="highlightedColor"/>
                            </label>
                        </subviews>
                    </stackView>
                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="pkL-2h-wpm">
                        <rect key="frame" x="267" y="20" width="88" height="32"/>
                        <color key="backgroundColor" red="0.78431372549019607" green="0.21568627450980393" blue="0.27843137254901962" alpha="0.40000000000000002" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstAttribute="width" constant="88" id="kY7-cV-qAv"/>
                            <constraint firstAttribute="height" constant="32" id="n6A-IN-pcT"/>
                        </constraints>
                        <fontDescription key="fontDescription" type="system" pointSize="12"/>
                        <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                        <state key="normal" title="UNBLOCK">
                            <color key="titleColor" name="App"/>
                        </state>
                        <userDefinedRuntimeAttributes>
                            <userDefinedRuntimeAttribute type="boolean" keyPath="circleCorner" value="YES"/>
                        </userDefinedRuntimeAttributes>
                        <connections>
                            <action selector="unBlockButtonAction:" destination="fQU-9D-7UE" eventType="touchUpInside" id="ASg-YV-MZV"/>
                        </connections>
                    </button>
                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="G3b-dn-LuQ">
                        <rect key="frame" x="0.0" y="72" width="367" height="1"/>
                        <color key="backgroundColor" name="color_divider"/>
                        <constraints>
                            <constraint firstAttribute="height" constant="1" id="YZL-Ja-a3Z"/>
                        </constraints>
                    </view>
                </subviews>
                <constraints>
                    <constraint firstItem="G3b-dn-LuQ" firstAttribute="top" secondItem="OAz-vY-HDi" secondAttribute="bottom" constant="12" id="1iG-hX-ZtB"/>
                    <constraint firstItem="jun-AX-eUz" firstAttribute="leading" secondItem="OAz-vY-HDi" secondAttribute="trailing" constant="12" id="7Xt-FA-fuJ"/>
                    <constraint firstAttribute="bottom" secondItem="G3b-dn-LuQ" secondAttribute="bottom" id="Ovc-Nh-yEh"/>
                    <constraint firstItem="pkL-2h-wpm" firstAttribute="centerY" secondItem="jun-AX-eUz" secondAttribute="centerY" id="Sbh-kc-dd9"/>
                    <constraint firstItem="G3b-dn-LuQ" firstAttribute="leading" secondItem="QrT-yB-2xa" secondAttribute="leading" id="Wax-Yc-OhI"/>
                    <constraint firstItem="OAz-vY-HDi" firstAttribute="top" secondItem="QrT-yB-2xa" secondAttribute="top" constant="12" id="XGo-br-pBX"/>
                    <constraint firstItem="OAz-vY-HDi" firstAttribute="centerY" secondItem="jun-AX-eUz" secondAttribute="centerY" id="ZgU-YU-BfO"/>
                    <constraint firstAttribute="trailing" secondItem="pkL-2h-wpm" secondAttribute="trailing" constant="12" id="bbT-tx-W0y"/>
                    <constraint firstItem="OAz-vY-HDi" firstAttribute="leading" secondItem="QrT-yB-2xa" secondAttribute="leading" constant="12" id="hOv-vG-gVs"/>
                    <constraint firstAttribute="trailing" secondItem="G3b-dn-LuQ" secondAttribute="trailing" id="w8N-kJ-qxg"/>
                    <constraint firstItem="pkL-2h-wpm" firstAttribute="leading" secondItem="jun-AX-eUz" secondAttribute="trailing" constant="12" id="xt3-il-nPj"/>
                </constraints>
            </tableViewCellContentView>
            <viewLayoutGuide key="safeArea" id="VvC-W9-tud"/>
            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <connections>
                <outlet property="lastSeenLabel" destination="thU-xE-h78" id="LfT-v1-K24"/>
                <outlet property="profileImage" destination="OAz-vY-HDi" id="FNz-d6-fRo"/>
                <outlet property="unblockButton" destination="pkL-2h-wpm" id="UD3-29-sQj"/>
                <outlet property="usernameLabel" destination="h1p-ID-Wdw" id="43I-f2-RUv"/>
            </connections>
            <point key="canvasLocation" x="182" y="55"/>
        </tableViewCell>
    </objects>
    <resources>
        <image name="ic_profileimage" width="720" height="720"/>
        <namedColor name="App">
            <color red="0.78431372549019607" green="0.21568627450980393" blue="0.27843137254901962" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="color_divider">
            <color red="0.8666666666666667" green="0.8666666666666667" blue="0.8666666666666667" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="text_color">
            <color red="0.094117647058823528" green="0.094117647058823528" blue="0.094117647058823528" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="text_color_secondary">
            <color red="0.53333333333333333" green="0.53333333333333333" blue="0.53333333333333333" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
    </resources>
</document>
